For the complete documentation index, see llms.txt. This page is also available as Markdown.

Proxies

Get a proxy by id by redirecting to the signed url

get
Path parameters
proxy_idstring · uuidRequired
Query parameters
drive_idstring · uuidRequired

The id of the drive this asset is in

namestring · nullableOptional

The name of the proxy to get

authorizationstring · nullableOptional

The authorization token to use to fetch the preview

shade-collection-idstring · uuid · nullableOptional

The collection id to authorize against, if not provided will use the default collection for the user.

Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
Responses
200

Successful Response

application/json
anyOptional
get/proxies/{proxy_id}
GET /proxies/{proxy_id}?drive_id=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

No content

Last updated

Was this helpful?